# Security

## Display your current risk score.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/security/risk-score.json`

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "request": {
        "target_count": 1,
        "sort": "1"
    },
    "risk_score": 1000
}
```

{% endtab %}
{% endtabs %}

## Display trends of your risk score, target, port, and issue counts over time.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/security/trend.json`

api

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "request": {
        "target_count": 1,
        "sort": "1"
    },
    "days": [
        {
            "date": "2022-01-22",
            "target_count": 0,
            "issue_count": 0,
            "risk_score": 0,
            "port_count": 0
        },
        {
            "date": "2022-01-23",
            "target_count": 0,
            "issue_count": 0,
            "risk_score": 0,
            "port_count": 0
        },
        {
            "date": "2022-01-24",
            "target_count": 0,
            "issue_count": 0,
            "risk_score": 0,
            "port_count": 0
        },
        {
            "date": "2022-04-22",
            "target_count": 1,
            "issue_count": 3,
            "risk_score": 1000,
            "port_count": 4
        }
}
```

{% endtab %}
{% endtabs %}

## Display a list of platforms that were detected.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/security/platform-list.json`

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "request": {
        "target_count": 1,
        "sort": "1"
    },
    "pagination": {
        "total": 1,
        "start": 0,
        "limit": 100
    },
    "list": [
        {
            "target_count": 1,
            "platform_id": 29,
            "platform_display": "AWS CloudFront"
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.halosecurity.com/api/endpoints/security.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
